#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-4KgsdrJK0CA9K99sLmxoik
key:                  persistent-test-2.13.1.3-4KgsdrJK0CA9K99sLmxoik
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  bfb94cea380b5e19eef9d7d8f95c45f3
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-4KgsdrJK0CA9K99sLmxoik
depends:
    HUnit-1.6.2.0-DUvlqmsw2Kp6tCDRl9WtXA
    QuickCheck-2.14.3-JnDL91zTqvGA4sCcziUTy3
    aeson-2.1.2.1-JT1gbb2shwLLy3Tf1UBGhr base-4.17.2.1
    blaze-html-0.9.2.0-2J5PlDi8Hx1I44gvdzxNcI bytestring-0.11.5.3
    conduit-1.3.6.1-8DaA0acFUeIAhiI07RCEeo containers-0.6.7
    exceptions-0.10.5 hspec-2.10.9-IlE8OnQguiJEoxUkXhWaKF
    hspec-expectations-0.8.3-ByiC9PUirWlDy5uDUGE568
    http-api-data-0.5.1-KWmtx2awo95DI47hKh8vPE
    monad-control-1.0.3.1-79OQlagbwNJBQwXcRFR58u
    monad-logger-0.3.42-AdM675YyxGBG2C6xN48bvm mtl-2.2.2
    path-pieces-0.2.1-3XB1w9Pq9G55ySSfgWLsAv
    persistent-2.14.5.1-HuMhTR1L1qLGJUF6vRlaRP
    quickcheck-instances-0.3.30-64AaenBzM3SKjNukGnAjFI
    random-1.2.1.2-CIdm787tMz7D0SA4JfQInB
    resourcet-1.2.6-ImDiK8j9yhy8AYzQhyOU1O text-2.0.2 time-1.12.2
    transformers-0.5.6.2 transformers-base-0.4.6-3rIzw1vLHq3mWLBJC6YCX
    unliftio-0.2.25.1-GvzbgDQBsq48fSlIyaUO1
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-GHxywVRZMTgDKQfzKfhJsl

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

